CREATE TABLE bm_cm_rule_meta (
    ID                        NUMBER(18, 0) ,
    COMPANY_ID                NUMBER(18, 0)     NOT NULL,
    PROCESS_ID                NUMBER(18, 0)     NOT NULL,
    FUNCTION_REPOSITORY_ID    NUMBER(18, 0) ,
    RETURN_TYPE               NUMBER(5, 0)      NOT NULL,
    DATE_ADDED                DATE              NOT NULL,
    DATE_MODIFIED             DATE              NOT NULL,
    AREA                      NUMBER(5, 0)      NOT NULL,
    RULE_TYPE                 NUMBER(1, 0)      NOT NULL,
    RULE_EXPR                 VARCHAR2(4000),
    RULE_EXPR_TREE            VARCHAR2(4000),
    GUID                      VARCHAR2(1020)    NOT NULL,
    STD_SYS_OBJ               NUMBER(1, 0)  ,
    ID                        NUMBER(18, 0) ,
    COMPANY_ID                NUMBER(18, 0)     NOT NULL,
    PROCESS_ID                NUMBER(18, 0)     NOT NULL,
    FUNCTION_REPOSITORY_ID    NUMBER(18, 0) ,
    RETURN_TYPE               NUMBER(5, 0)      NOT NULL,
    DATE_ADDED                DATE              NOT NULL,
    DATE_MODIFIED             DATE              NOT NULL,
    AREA                      NUMBER(5, 0)      NOT NULL,
    RULE_TYPE                 NUMBER(1, 0)      NOT NULL,
    RULE_EXPR                 VARCHAR2(4000),
    RULE_EXPR_TREE            VARCHAR2(4000),
    GUID                      VARCHAR2(1020)    NOT NULL,
    STD_SYS_OBJ               NUMBER(1, 0)  ,
    CONSTRAINT pk_bm_cm_rule_meta PRIMARY KEY (ID, ID)
);
